/* ===================== */
/* ===== Utilities ===== */
/* ===================== */

h1, h2, h3, h4, h5, h6, blockquote, caption, figcaption, p {
	text-wrap: pretty;
}

.brxe-button {
  cursor: pointer;
}

::-moz-selection { /* Code for Firefox */
  color: #fff;
  background: var(--primary)  ;
}

::selection {
  color: #fff;
  background: var(--primary)  ;
}
.button {
	transition: all 0.4s ease;
}

strong {
	font-weight: 600;
}

/* ===================== */
/* ===== Header ===== */
/* ===================== */
:root {
	--header-height: 85px;
}

@media (max-width: 1080px) {
	:root {
		--header-height: 80px;
	}
}

@media (max-width: 767px) {
	:root {
		--header-height: 70px;
	}
}

@media (max-width: 476px) {
	:root {
		--header-height: 60px;
	}
}

body:not(.home) #brx-header,
#brx-header .cart-detail,
#brx-header .brx-mobile-center.brx-open .brx-nav-nested-items,
#brx-header.brx-sticky.scrolling {
  color: var(--text-body);
}

body.home #brx-header,
body.history #brx-header {
  color: var(--light);
}


body #brx-content {
	margin-top: var(--header-height);
}

body.home #brx-content,
body.history #brx-content {
	margin-top: 0;
}

/*
body.home #brx-header .brxe-woocommerce-mini-cart .mini-cart-link .cart-icon .ti-shopping-cart {
	color: var(--light);
}

#brx-header .brxe-woocommerce-mini-cart .mini-cart-link .cart-icon .ti-shopping-cart,
#brx-header.brx-sticky.scrolling .mini-cart-link .cart-icon i.ti-shopping-cart {
      color: var(--text-body);
}


/* ============================ */
/* ===== woo account page ===== */
/* ============================ */

.wp-singular.woocommerce-account #brx-content {
	padding: var(--space-2xl) var(--space-l);
} 


.wp-singular.woocommerce-account #brx-content h1,
.wp-singular.woocommerce-account #brx-content h2 {
	margin-bottom: var(--space-m);
	font-weight: 500;
}